clang 8.0.0

Public Types | Public Member Functions | List of all members
clang::Redeclarable< decl_type >::DeclLink Class Reference

`#include "clang/AST/Redeclarable.h"`

## Public Types
enum | PreviousTag { PreviousLink }
enum | LatestTag { LatestLink }

## Public Member Functions
| DeclLink (LatestTag, const ASTContext &Ctx)
| DeclLink (PreviousTag, decl_type *D)
bool | isFirst () const
decl_type * | getPrevious (const decl_type *D) const
void | setPrevious (decl_type *D)
void | setLatest (decl_type *D)
void | markIncomplete ()
Decl * | getLatestNotUpdated () const

## Detailed Description

### template<typename decl_type>
class clang::Redeclarable< decl_type >::DeclLink

Definition at line 87 of file Redeclarable.h.

## Member Enumeration Documentation

## ◆ LatestTag

template<typename decl_type>

enum clang::Redeclarable::DeclLink::LatestTag

Enumerator
LatestLink |

Definition at line 110 of file Redeclarable.h.

## ◆ PreviousTag

template<typename decl_type>

enum clang::Redeclarable::DeclLink::PreviousTag

Enumerator
PreviousLink |

Definition at line 109 of file Redeclarable.h.

## Constructor & Destructor Documentation

## ◆ DeclLink() [1/2]

template<typename decl_type>

clang::Redeclarable< decl_type >::DeclLink::DeclLink | ( | LatestTag | ,
|  | const ASTContext & | Ctx
| ) |  |
| inline

Definition at line 112 of file Redeclarable.h.

Referenced by clang::Redeclarable< VarDecl >::LatestDeclLink(), and clang::Redeclarable< VarDecl >::PreviousDeclLink().

## ◆ DeclLink() [2/2]

template<typename decl_type>

clang::Redeclarable< decl_type >::DeclLink::DeclLink | ( | PreviousTag | ,
|  | decl_type * | D
| ) |  |
| inline

Definition at line 114 of file Redeclarable.h.

## Member Function Documentation

## ◆ getLatestNotUpdated()

template<typename decl_type>

Decl* clang::Redeclarable< decl_type >::DeclLink::getLatestNotUpdated | ( |  | ) | const
| inline

Definition at line 159 of file Redeclarable.h.

References clang::Redeclarable< decl_type >::DeclLink::isFirst().

## ◆ getPrevious()

template<typename decl_type>

decl_type* clang::Redeclarable< decl_type >::DeclLink::getPrevious | ( | const decl_type * | D | ) | const
| inline

Definition at line 123 of file Redeclarable.h.

## ◆ isFirst()

template<typename decl_type>

bool clang::Redeclarable< decl_type >::DeclLink::isFirst | ( |  | ) | const
| inline

Definition at line 116 of file Redeclarable.h.

References clang::LazyGenerationalUpdatePtr< Owner, T, Update >::get().

Referenced by clang::Redeclarable< decl_type >::DeclLink::getLatestNotUpdated(), clang::Redeclarable< decl_type >::DeclLink::setLatest(), and clang::Redeclarable< decl_type >::DeclLink::setPrevious().

## ◆ markIncomplete()

template<typename decl_type>

void clang::Redeclarable< decl_type >::DeclLink::markIncomplete | ( |  | ) |
| inline

Definition at line 157 of file Redeclarable.h.

References clang::Redeclarable< decl_type >::DeclLink::markIncomplete().

Referenced by clang::Redeclarable< decl_type >::DeclLink::markIncomplete().

## ◆ setLatest()

template<typename decl_type>

void clang::Redeclarable< decl_type >::DeclLink::setLatest | ( | decl_type * | D | ) |
| inline

Definition at line 143 of file Redeclarable.h.

References clang::Redeclarable< decl_type >::DeclLink::isFirst(), and clang::LazyGenerationalUpdatePtr< Owner, T, Update >::set().

## ◆ setPrevious()

template<typename decl_type>

void clang::Redeclarable< decl_type >::DeclLink::setPrevious | ( | decl_type * | D | ) |
| inline

Definition at line 138 of file Redeclarable.h.

References clang::Redeclarable< decl_type >::DeclLink::isFirst().

The documentation for this class was generated from the following file:

- include/clang/AST/Redeclarable.h